

import java.util.Scanner;

import java.util.StringTokenizer;

public class Vector {

    static double auxx;
    static double auxy;

    public static void main(String args[]) {

        int contador = 1;

        String leer;

        while (true) {

            System.out.print("Vector: " + contador + "\n");



            Scanner teclado = new Scanner(System.in);

            leer = teclado.nextLine();

            StringTokenizer stTexto = new StringTokenizer(leer);

            double x = Integer.parseInt(stTexto.nextToken());

            double y = Integer.parseInt(stTexto.nextToken());

            if (x == 0 & y == 0) {

                System.exit(0);

            }



            System.out.println("V" + contador + " (x,y) = (" + x + "," + y + ")  ;  (r,θ) = (" + magnitud(x, y) + "," + direccion(x, y) + ")");



            if (contador > 1) {

                int tmp = contador - 1;

                System.out.println("\n");

                System.out.println("V" + tmp + "  +  V" + contador + " (x,y) = (" + (auxx + x) + "," + (auxy + y) + ")  ;  (r,θ) = (" + magnitud(auxx + x, auxy + y) + "," + direccion(auxy + y, auxx + x) + ")");

                System.out.println("V" + tmp + "  -  V" + contador + " (x,y) = (" + (auxx - x) + "," + (auxy - y) + ")  ;  (r,θ) = (" + magnitud(auxx - x, auxy - y) + "," + direccion(auxy - y, auxx - x) + ")");

                System.out.println("V" + contador + "  -  V" + tmp + " (x,y) = (" + (x - auxx) + "," + (y - auxy) + ")  ;  (r,θ) = (" + magnitud(x - auxx, y - auxy) + "," + direccion(y - auxy, x - auxx) + ")");




            }

            auxx = x;

            auxy = y;

            contador += 1;

            System.out.println("-------------------------------------------------------------");

        }

    }

    public static double magnitud(double x, double y) {

        double aux = x * x;

        double aux2 = y * y;

        double finalt = Math.sqrt(aux + aux2);

        return finalt;

    }

    public static double direccion(double y, double x) {

        double aux = Math.atan2(y, x);

        return aux;

    }
}